package nl.v2b.lalaland.domain.submission;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import nl.v2b.lalaland.domain.challenges.Challenge;
import nl.v2b.lalaland.domain.Player;
import nl.v2b.lalaland.storage.domain.LalaFile;

import jakarta.persistence.CascadeType;
import jakarta.persistence.Entity;
import jakarta.persistence.ManyToOne;

@Entity
@Data
@EqualsAndHashCode(callSuper = false)
@NoArgsConstructor
public abstract class MediaSubmission extends Submission {
	@ManyToOne(cascade = CascadeType.REMOVE)
	protected LalaFile file;
	protected MediaSubmission(LalaFile file, Challenge challenge, Player player) {
		super(challenge, player);
		this.file = file;
	}
}
