package nl.v2b.lalaland.presentation;

import nl.v2b.lalaland.application.exceptions.UserBlockedException;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;

@RestControllerAdvice
public class UserBlockedControllerAdvice {
    @ExceptionHandler(UserBlockedException.class)
    public String handleException(HttpServletRequest request, Exception ex, HttpServletResponse response) {
        request.getSession().invalidate();
        response.setStatus(469);
        return ex.getMessage();
    }
}