package nl.v2b.lalaland.presentation.dtos;

import lombok.Data;
import nl.v2b.lalaland.domain.challenges.ChallengeType;

import java.util.List;

@Data
public class ChallengeDTO {
    public final ChallengeType type;
    public final Integer id;
    public final String title;
    public final int point;
    public final String question;
    public final String description;
    public final String instruction;
    public final List<String> answers;
    public final String answer;
    public final String file;
    public final int category;
}
