package nl.v2b.lalaland.presentation.dtos;

import nl.v2b.lalaland.domain.State;
import nl.v2b.lalaland.domain.submission.ImageSubmission;

public class MediaSubmissionResponseDto {
    public final int submissionid;
    public final String file;
    public final String challenge_title;
    public final State state;
    public final int challengeId;
    public final String challengeName;

    public MediaSubmissionResponseDto(ImageSubmission submission) {
        this.submissionid = submission.getId();
        this.challenge_title = submission.getChallenge().getTitle();
        this.state = submission.getState();
        if(submission.getFile()!=null) file=submission.getFile().getUrl();
        else file="";
        this.challengeId = submission.getChallenge().getId();
        this.challengeName = submission.getChallenge().getTitle();
    }
}
