package nl.v2b.lalaland.presentation.dtos;


import lombok.Data;
import nl.v2b.lalaland.domain.State;
import nl.v2b.lalaland.domain.submission.TextSubmission;

@Data
public class TextSubmissionDTO {
		public final String attempt;
		public final State state;

		public TextSubmissionDTO(TextSubmission submission){
			this.attempt = submission.getAnswer();
			this.state = submission.getState();
		}
}
