package nl.v2b.lalaland.security;

import org.springframework.security.web.session.InvalidSessionStrategy;

import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;
import java.io.IOException;

public class MyInvalidSessionStrategy implements InvalidSessionStrategy {
    @Override
    public void onInvalidSessionDetected(HttpServletRequest request, HttpServletResponse response) throws IOException {
		if(request.getRequestURI().startsWith("/api")) response.setStatus(470);
		else response.sendRedirect("/api/logout");
    }
}
