import http from "@/http-common";

class ChallengeDataService {
    getAll() {
        return http.get("/challenge");
    }

    get(id) {
        return http.get(`/challenge/${id}`);
    }
    create(data) {
        return http.post("/challenge/create", data);
    }

    update(id, data) {
        return http.patch(`/challenge/update/${id}`, data);
    }
    archive(id, archive) {
        return http.patch(`/challenge/archive/${id}`, {archive});
    }

    delete(id) {
        return http.delete(`/challenge/${id}`);
    }
}

export default new ChallengeDataService();
