package nl.v2b.lalaland.data;

import nl.v2b.lalaland.domain.submission.ImageSubmission;
import org.springframework.data.jpa.repository.JpaRepository;

import java.awt.*;
import java.util.List;

public interface SpringImageSubmissionRepository extends JpaRepository<ImageSubmission, Integer> {
	List<ImageSubmission> findAllByChallenge_Id(Integer id);
	List<ImageSubmission> findAllByPlayer_Id(Integer player_id);
	List<ImageSubmission> findAllByChallenge_IdAndPlayer_Id(Integer challenge_id, Integer player_id);
}
