package nl.v2b.lalaland.data;

import nl.v2b.lalaland.domain.submission.TextSubmission;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

public interface SpringTextSubmissionRepository extends JpaRepository<TextSubmission, Integer> {
	List<TextSubmission> findAllByChallenge_Id(Integer id);

	List<TextSubmission> findAllByChallenge_IdAndPlayer_Id(Integer challenge_id, Integer player_id);
}
