package nl.v2b.lalaland.domain.submission;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import nl.v2b.lalaland.domain.challenges.Challenge;
import nl.v2b.lalaland.domain.Player;

import jakarta.persistence.Entity;

@Entity
@Data
@EqualsAndHashCode(callSuper = false)
@NoArgsConstructor
public class TextSubmission extends Submission {
	private String answer;

	public TextSubmission( String answer, Challenge challenge, Player player) {
		super(challenge, player);
		this.answer = answer;
	}
}
