package nl.v2b.lalaland.lalalive;

import org.springframework.web.bind.annotation.*;

import jakarta.annotation.security.RolesAllowed;

@RestController
@RequestMapping("/api/lalalive")
public class LalaliveController {
	private final SpringLalaliveRepository repository;

	public LalaliveController(SpringLalaliveRepository repository) {
		this.repository = repository;
	}

	@GetMapping
	public LalaliveStorage get() {
		return repository.findById(1).orElse(new LalaliveStorage());
	}
	@RolesAllowed("ADMIN")
	@PostMapping
	public void save(@RequestBody LalaliveStorage lalaliveStorage) {
		if(repository.existsById(1)) {
			repository.deleteById(1);
			repository.flush();
		}
		lalaliveStorage.setId(1);
		repository.save(lalaliveStorage);
	}
}
