package nl.v2b.lalaland.presentation.dtos;

import nl.v2b.lalaland.domain.submission.ImageSubmission;

public class SubmissionPendingDTO {
	public final MediaSubmissionResponseDto submissionDTO;
	public final UserDTO userDTO;

	public SubmissionPendingDTO(ImageSubmission submission) {
		this.userDTO = new UserDTO(submission.getPlayer());
		this.submissionDTO = new MediaSubmissionResponseDto(submission);
	}
}
