package nl.v2b.lalaland.zoom.dto;

import nl.v2b.lalaland.domain.User;
import nl.v2b.lalaland.storage.domain.LalaFile;
import nl.v2b.lalaland.zoom.Zoom;

public class ZoomJoinDTO {
	public final long meetingNumber;
	public final String userName;
	public final String signature;
	public final String apiKey;
	public final String passWord;
	public final String img;
	public ZoomJoinDTO(Zoom zoom,String signature, String apiKey, User user) {
		this.signature=signature;
		this.apiKey=apiKey;
		this.meetingNumber=zoom.getMeetingNumber();
		this.passWord=zoom.getMeetingPassword();
		this.userName=user.getName();
		LalaFile file=zoom.getFile();
		if(file==null) this.img=null;
		else this.img=zoom.getFile().getUrl();
	}
}
