package nl.v2b.lalaland.zoom.dto;

import lombok.Data;

import java.io.Serializable;

@Data
@java.lang.SuppressWarnings("java:S116")
public class ZoomMeetingObjectDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;

    private String uuid;

    private String assistant_id;

    private String registration_url;

    private String topic;

    private Integer type;

    private String start_time;

    private Integer duration;

    private String schedule_for;

    private String timezone;

    private String created_at;

    private String password;

    private String agenda;

    private String start_url;

    private String join_url;

    private String h323_password;

    private Integer pmi;


    private ZoomMeetingSettingsDTO settings;



    public static long getSerialversionuid() {
        return serialVersionUID;
    }
}
